"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isMessageError = exports.MessageValidationError = exports.MessageInvalidFormatError = void 0;
const node_core_1 = require("@lokalise/node-core");
class MessageInvalidFormatError extends node_core_1.InternalError {
    constructor(params) {
        super({
            message: params.message,
            errorCode: 'MESSAGE_INVALID_FORMAT',
            details: params.details,
        });
        this.name = 'MessageInvalidFormat';
    }
}
exports.MessageInvalidFormatError = MessageInvalidFormatError;
class MessageValidationError extends node_core_1.InternalError {
    constructor(params) {
        super({
            message: params.message,
            errorCode: 'MESSAGE_VALIDATION_ERROR',
            details: params.details,
        });
        this.name = 'MessageValidationError';
    }
}
exports.MessageValidationError = MessageValidationError;
function isMessageError(err) {
    return ((err && (err.name === 'MessageValidationError' || err.name === 'MessageInvalidFormat')) ?? false);
}
exports.isMessageError = isMessageError;
//# sourceMappingURL=Errors.js.map