import type { Either } from '@lokalise/node-core';
import type { ZodSchema } from 'zod';
export declare class MessageHandlerConfig<const MessagePayloadSchemas, const ExecutionContext> {
    readonly schema: ZodSchema<MessagePayloadSchemas>;
    readonly handler: Handler<MessagePayloadSchemas, ExecutionContext>;
    constructor(schema: ZodSchema<MessagePayloadSchemas>, handler: Handler<MessagePayloadSchemas, ExecutionContext>);
}
export declare class MessageHandlerConfigBuilder<MessagePayloadSchemas, ExecutionContext> {
    private readonly configs;
    constructor();
    addConfig<MessagePayloadSchema extends MessagePayloadSchemas>(schema: ZodSchema<MessagePayloadSchema>, handler: Handler<MessagePayloadSchema, ExecutionContext>): this;
    build(): MessageHandlerConfig<MessagePayloadSchemas, ExecutionContext>[];
}
export type Handler<MessagePayloadSchemas, ExecutionContext> = (message: MessagePayloadSchemas, context: ExecutionContext) => Promise<Either<'retryLater', 'success'>>;
export type HandlerContainerOptions<MessagePayloadSchemas extends object, ExecutionContext> = {
    messageHandlers: MessageHandlerConfig<MessagePayloadSchemas, ExecutionContext>[];
    messageTypeField: string;
};
export declare class HandlerContainer<MessagePayloadSchemas extends object, ExecutionContext> {
    private readonly messageHandlers;
    private readonly messageTypeField;
    constructor(options: HandlerContainerOptions<MessagePayloadSchemas, ExecutionContext>);
    resolveHandler(messageType: string): Handler<MessagePayloadSchemas, ExecutionContext>;
    private resolveHandlerMap;
}
