import type { Either } from '@lokalise/node-core';
import type { ZodSchema } from 'zod';
export type MessageSchemaContainerOptions<MessagePayloadSchemas extends object> = {
    messageSchemas: readonly ZodSchema<MessagePayloadSchemas>[];
    messageTypeField: string;
};
export declare class MessageSchemaContainer<MessagePayloadSchemas extends object> {
    private readonly messageSchemas;
    private readonly messageTypeField;
    constructor(options: MessageSchemaContainerOptions<MessagePayloadSchemas>);
    resolveSchema(message: Record<string, any>): Either<Error, ZodSchema<MessagePayloadSchemas>>;
    private resolveSchemaMap;
}
