"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageSchemaContainer = void 0;
class MessageSchemaContainer {
    messageSchemas;
    messageTypeField;
    constructor(options) {
        this.messageTypeField = options.messageTypeField;
        this.messageSchemas = this.resolveSchemaMap(options.messageSchemas);
    }
    resolveSchema(
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    message) {
        const schema = this.messageSchemas[message[this.messageTypeField]];
        if (!schema) {
            return {
                error: new Error(`Unsupported message type: ${message[this.messageTypeField]}`),
            };
        }
        return {
            result: schema,
        };
    }
    resolveSchemaMap(supportedSchemas) {
        return supportedSchemas.reduce((acc, schema) => {
            // @ts-ignore
            acc[schema.shape[this.messageTypeField].value] = schema;
            return acc;
        }, {});
    }
}
exports.MessageSchemaContainer = MessageSchemaContainer;
//# sourceMappingURL=MessageSchemaContainer.js.map